%define section devel
%define cvsdate 20050521

Summary:        Joost STAX Implementation
Name:           joost
Version:        0.1
Release:        0.%{cvsdate}.1jpp
Epoch:          0
License:        Mozilla Public License 1.1
URL:            http://joost.sourceforge.net/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        joost-%{cvsdate}-src.tar.gz
Source1:        joostGen.tar.gz
#cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/joost login
#cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/joost export -r HEAD helper

Patch0:         joost-build_xml.patch
Patch1:         joost-scripts.patch
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  excalibur-avalon-framework-api 
BuildRequires:  excalibur-avalon-framework-impl 
BuildRequires:  excalibur-avalon-logkit
BuildRequires:  fop
Requires:  excalibur-avalon-framework-api 
Requires:  excalibur-avalon-framework-impl 
Requires:  excalibur-avalon-logkit
Requires:  fop
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The world's first prototypic Java implementation of the Streaming 
Transformations for XML (STX) language. It is intended as a 
reference implementation which demonstrates the functionality 
of STX. 
NOTE: though the code runs hopefully without major crashes, it 
should still be regarded as an alpha version.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -n %{name}-%{cvsdate}
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
gzip -dc %{SOURCE1}  | tar xf -

%patch0 -b .sav
%patch1 -b .sav

%build
pushd helper
export CLASSPATH=$(build-classpath ant):.
ant -Dbuild.sysclasspath=first
popd
cp helper/joostGen.jar lib
export CLASSPATH=$(build-classpath excalibur/avalon-framework-api excalibur/avalon-framework-impl excalibur/avalon-logkit fop)
ant -Dbuild.sysclasspath=first jar doc

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p joost.sh $RPM_BUILD_ROOT%{_bindir}/joost
cp -p rundb.sh $RPM_BUILD_ROOT%{_bindir}/joost-rundb
cp -p runfop.sh $RPM_BUILD_ROOT%{_bindir}/joost-runfop
cp -p run.sh $RPM_BUILD_ROOT%{_bindir}/joost-run


# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p CHANGES $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p ISSUES $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LIMITS $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
# data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
cp -pr conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}/conf
%attr(755,root,root) %{_bindir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/examples

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> - 0:0.1-0.20050521.1jpp
- First JPackage build
